Subject: Icecat is crashing on search

From: Joshua Branson <[email-masked]>
Date: Mon, 18 Feb 2019 11:01:36 -0500

Hello!

So I recently ran "guix pull && guix package -u && guix system
reconfigure awesome.scm".

And now Icecat hardly use able.

#+BEGIN_SRC bash
guix --version
#+END_SRC

guix (GNU Guix) af5ead8b346f11105c964726101618116af13426
Copyright (C) 2019 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

I am using a Macbook 7,1.

I started Icecat from a terminal.  When Icecat opened, I tried to search
for "hello" in the omnibar.  Icecat immediately crashed.

#+BEGIN_SRC bash
icecat --version
#+END_SRC

GNU IceCat 60.5.1

Here is a copy of what the terminal said:

joshua@dobby ~$ icecat
1550505405166	addons.webextension.{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}	WARN	Loading extension '{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}': Reading manifest: Error processing background.persistent: Event pages are not currently supported. This will run as a persistent background page.
1550505405178	addons.webextension.{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}	WARN	Loading extension '{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}': Reading manifest: Error processing storage: An unexpected property was found in the WebExtension manifest.
1550505406402	addons.webextension.{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}	WARN	Please specify whether you want browser_style or not in your browser_action options.

(icecat:3394): Gtk-WARNING **: 15:56:46.419: Could not find the icon 'dialog-warning'. The 'hicolor' theme
was not found either, perhaps you need to install it.
You can get a copy from:
	http://icon-theme.freedesktop.org/releases

(icecat:3394): Gtk-WARNING **: 15:56:46.420: Error loading theme icon 'dialog-warning' for stock: Icon 'dialog-warning' not present in theme Adwaita
JavaScript error: resource://activity-stream/lib/Screenshots.jsm, line 102: TypeError: cache is undefined
JavaScript error: resource://activity-stream/lib/Screenshots.jsm, line 102: TypeError: cache is undefined
JavaScript warning: moz-extension://54be0cf6-40e6-4986-a89b-b0498cedcd5c/lib/adblockplus.js, line 0: Successfully compiled asm.js code (total compilation time 1ms; not stored in cache (too small to benefit))
1550505407804	addons.webextension.tortm-browser-button@jeremybenthum	WARN	Please specify whether you want browser_style or not in your browser_action options.
1550505411872	[email-masked]	WARN	Please specify whether you want browser_style or not in your browser_action options.

(icecat:3394): Gdk-ERROR **: 15:56:53.656: The program 'icecat' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 1635 error_code 8 request_code 2 (core protocol) minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Crash Annotation GraphicsCriticalError: |[C0][GFX1-]: Receive IPC close with reason=AbnormalShutdown (t=2.72252) [GFX1-]: Receive IPC close with reason=AbnormalShutdown
[Child 3489, Chrome_ChildThread] WARNING: pipe error (3): Connection reset by peer: file /tmp/guix-build-icecat-60.5.1-guix1.drv-0/icecat-60.5.1-guix1/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 342
Crash Annotation GraphicsCriticalError: |[C0][GFX1-]: Receive IPC close with reason=AbnormalShutdown (t=2.04331) [GFX1-]: Receive IPC close with reason=AbnormalShutdown
[Child 3514, Chrome_ChildThread] WARNING: pipe error (3): Connection reset by peer: file /tmp/guix-build-icecat-60.5.1-guix1.drv-0/icecat-60.5.1-guix1/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 342
Trace/breakpoint trap

Thanks!

P.S.  It is nice that I am just able to --roll-back and have a working
IceCat again!

--
Joshua Branson
Sent from Emacs and Gnus